
QGIS Application - Bug report #1637

Legend Window; for drag-and-drop-actions, expand layer-group only after short delay

2009-04-07 01:52 AM - paull -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Legend

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11697

Description

when I move a layer from the top of the layer-stack (legend window on the left) to the bottom of the stack, automatically all layer-groups in

between pop open and expand, displaying all containing layers. When organising large amounts of shape-layers, it can be very

annoying,because I completely loose overview of the layers and the place where I wanted to drag my layer to. I would suggest that groups

should only open after a short delay (0.5 seconds or so). So if you want to place a layer in a group, you hover over the group for that

timespan and wait for the group to automatically expand.

History

#1 - 2009-07-26 09:41 AM - kumba -

To the original reporter, a trick I use to get around this, is create a "tmp" group folder, and when needing to organize your layers, move anything to be

moved into the "tmp" folder.  Then collapse and move the "Tmp" folder around instead to the point where you need specific layers, then move them out. 

Kind of like a shopping cart in a grocery store thing.

Per my duplicate bug of #1808, you have to drag stuff slowly, or you will cause the sequencing in the layer order to get muddled up, as QGIS will randomly

move items to other areas in the stack.

Flagging more as a bug, because while one indicates an enhancement, the disordering of the stack if you move items too fast highlights a flaw in how QGIS

is handling some actions.  It behaves better if you disable rendering while moving the folders, but even then, if you go too fast, items still "jump" around.

#2 - 2009-07-31 03:42 PM - Magnus Homann

The groups does not open anymore since commit:97da8f50 (SVN r11234), but the layer is dropped first in the group. Let me know if this is an

improvement.

#3 - 2009-08-04 10:21 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Replying to [comment:6 homann]:

but the layer is dropped first in the group.

The layer is dropped first in the group only if the group is not expanded, otherwise you can choose were to drop it inside of the group.
In any case I guess this is solution for the problem described.
